Subject: bug#5535: 23.1.50; emacs daemon high CPU load even while ununsed

From: Dan Nicolaescu <[email-masked]>
Date: Sat, 6 Feb 2010 10:34:18 -0800 (PST)

[email-masked] writes:

  > I noted that Emacs (emacs --daemon) takes a lot of of CPU (up to 80%), even
  > when I am not using it. I am starting emacs --daemon from my ~/.gnomerc, which
  > is invoked when I start my X session.
  > 
  > I used strace to see what was going on:
  > 
  > gettimeofday({1265471350, 42334}, NULL) = 0
  > read(0, "", 4096)                       = 0
  > write(2, "Back to top level.", 18)      = 18
  > write(2, "\n", 1)                       = 1
  > poll([{fd=7, events=POLLIN}], 1, 0)     = 0 (Timeout)
  > gettimeofday({1265471350, 42538}, NULL) = 0
  > read(0, "", 4096)                       = 0
  > write(2, "Back to top level.", 18)      = 18
  > write(2, "\n", 1)                       = 1
  > poll([{fd=7, events=POLLIN}], 1, 0)     = 0 (Timeout)
  > gettimeofday({1265471350, 42736}, NULL) = 0
  > read(0, "", 4096)                       = 0
  > write(2, "Back to top level.", 18)      = 18
  > write(2, "\n", 1)                       = 1
  > 
  > [...]
  > 
  > and this continues at high speed. Apparently, emacs calling the lisp function
  > normal-top-level in lisp/startup.el many, many times.
  
  > Hope this helps tracking down the issue.

Did you have X11 emacs frames and kill the frames, or kill X11?
If yes, then it's probably a long time bug in Gtk+ that causes this.
http://bugzilla.gnome.org/show_bug.cgi?id=85715

  > Best wishes,
  > Dirk.
  > 
  > 
  > If you would like to further debug the crash, please read the file
  > /usr/share/emacs/23.1.50/etc/DEBUG for instructions.
  > 
  > 
  > In GNU Emacs 23.1.50.1 (x86_64-pc-linux-gnu, GTK+ Version 2.18.0)
  >  of 2009-09-27 on crested, modified by Debian
  >  (emacs-snapshot package, version 1:20090909-1)

This is an old snapshot, you might want to try a newer version.